services:
  minio:
    image: minio/minio:RELEASE.2025-04-03T14-56-28Z
    container_name: minio
    ports:
      - "9000:9000"
      - "9001:9001"
    environment:
      MINIO_ROOT_USER: ${MINIO_ROOT_USER:?}
      MINIO_ROOT_PASSWORD: ${MINIO_ROOT_PASSWORD:?}
      # MINIO_ROOT_USER: user
      # MINIO_ROOT_PASSWORD: password
    volumes:
      - /opt/minio:/data
    command: server /data --console-address ":9001"
